package org.wso2.carbon.device.mgt.ios.api.utils.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
        value = "LocationBean",
        description = "This class carries all information related IOS Device location."
)
public class LocationBean {

    @ApiModelProperty(
            name = "latitude",
            value = "Latitude of the IOS device Location.",
            required = true
    )
    private float latitude;
    @ApiModelProperty(
            name = "longitude",
            value = "Longitude of the IOS device Location.",
            required = true
    )
    private float longitude;
    @ApiModelProperty(
            name = "operationId",
            value = "Specific Id of the Location operation.",
            required = true
    )
    private String operationId;

    public String getOperationId() {
        return operationId;
    }

    public void setOperationId(String operationId) {
        this.operationId = operationId;
    }


    public float getLatitude() {
        return latitude;
    }

    public void setLatitude(float latitude) {
        this.latitude = latitude;
    }

    public float getLongitude() {
        return longitude;
    }

    public void setLongitude(float longitude) {
        this.longitude = longitude;
    }
}
